const axios = require('axios');

axios.defaults.baseURL = process.env['SOUND_NODE_BASE_URL'] || 'https://sound-node.herokuapp.com/api/v1/';
axios.defaults.headers.common['Authorization'] = process.env['SOUND_NODE_API_KEY'];
axios.defaults.headers.post['Content-Type'] = 'application/json';

const projectId = process.env['SOUND_NODE_PROJECT_ID'];

module.exports.report = (title, duration, passed, testSuites, buildId) => {
  // console.log({title, duration, passed, testSuites, buildId});
  return axios.post(`project/${projectId}/build/${buildId}/testCase`, {
    title,
    duration,
    passed,
    testSuites
  })
  // .then(response => {
  //   console.log(response.data);
  // })
  .catch(error => {
    return Promise.reject(error);
  });
};